= form_for task do |f|
  - if task.errors.any?
    .form__error-explanation
      %h2= t('.save_error', amount: pluralize(task.errors.count, 'error'))
      %ul
        - task.errors.full_messages.each do |message|
          %li= message

  .form__field
    = f.label :title
    .form__input
      = f.text_field :title, required: true
  .form__field
    = f.label :description
    .form__input
      = f.text_area :description, required: true
  .form__field
    = f.label :ancestors
    .form__input
      = f.select(:ancestor_ids, Task.pluck(:title, :id), {}, multiple: true)
  .form__field
    = f.label :children
    .form__input
      = f.select(:child_ids, Task.pluck(:title, :id), {}, multiple: true)


  .form__actions
    = f.submit 'Save', class: 'add'
